<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package Oficina_de_Suport_theme
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function ofisuport_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if ( ! is_active_sidebar( 'sidebar-funds' ) ) {
		$classes[] = 'no-sidebar';
	}

	return $classes;
}
add_filter( 'body_class', 'ofisuport_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function ofisuport_pingback_header() {
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'ofisuport_pingback_header' );


/** 
 * Detect if the Oficina de Suport "ofisuport" plugin is active
 */

function ofisuport_plugin_active() {
  // Detect plugin. For use on Front End only.
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
  // check for plugin using plugin name
  if ( is_plugin_active( 'oficinasuport-wp-plugin/ofisuport-wp-plugin.php' ) ) {
  //plugin is activated do
	}
	//do stuff here
} //closing if is_plugin_active 

//add_action( 'wp_head', 'ofisuport_plugin_active' );


/** 
 * Echo the post type slug
 */
function ofisuport_class_posttype (){
	if( is_post_type_archive( array('ofisuport-ajut') )) {
		echo 'archive-custom-post-type-';
	  printf(get_post_type_object( get_post_type() )->rewrite['slug'] );
	}
}
